#include <iostream>
#include <vector>

using namespace std;

typedef long long ll;

ll stepen(int na)
{
    ll broj = 1;

    for(int i = 0; i < na; i++)
    {
        broj *= 10;
    }

    return broj;
}

int doKogStepena(ll broj)
{
    int brojac = 0;

    while(true)
    {
        if(broj == 0)
        {
            break;
        }

        brojac++;
        broj /= 10;
    }

    return brojac;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    ll V;

    cin >> V;

    int brojUpotrebljenihNovcanica = 0;

    vector <ll> v;

    ll d[3] = {1, 2, 5};

    int granica = doKogStepena(V);

    //cout << granica;

    for(int i = 0; i < granica; i++)
    {
        ll stepenDesetke = stepen(i);

        for(int j = 0; j < 3; j++)
        {
            v.push_back(d[j] * stepenDesetke);
        }
    }

//    for(int i = 0; i < v.size(); i++)
//    {
//        cout << v[i] << endl;
//    }

    for(int i = v.size() - 1; i >= 0; i--)
    {
        if(V / v[i] != 0)
        {
            brojUpotrebljenihNovcanica += V / v[i];
            V = V - (V / v[i]) * v[i];
        }

        if(V == 0)
        {
            break;
        }
    }

    cout << brojUpotrebljenihNovcanica << endl;

    return 0;
}